export const RULESET = {
  AF: {
    14: '^YA\-[A-Z]{3}$',
  },
  AL: {
    14: '^ZY\-[A-Z]{3}$',
  },
  DZ: {
    10: '^7T\-W[A-Z]{2}$',
    14: '^7T\-V[A-Z]{2}$',
  },
  AD: {
    14: '^C3\-[A-Z]{3}$',
  },
  AO: {
    14: '^D3\-[A-Z]{3}$',
  },
  AI: {
    14: '^VP\-A[A-Z]{2}$',
  },
  AG: {
    14: '^V2\-[A-Z]{3}$',
  },
  AR: {
    1: '^LV\-[A-Z]{3}$',
    2: '^LV\-[A-Z]{3}$',
    3: '^LV\-[A-Z]{3}$',
    4: '^LV\-[A-Z]{3}$',
    5: '^LV\-[A-Z]{3}$',
    6: '^LV\-[A-Z]{3}$',
    7: '^LQ\-[A-Z]{3}$',
    8: '^LV\-[A-Z]{3}$',
    9: '^LV\-U[0-9]{3}$',
    10: '^LV\-[A-Z]{3}$',
    11: '^LQ\-[A-Z]{3}$',
    13: '^LV\-X[0-9]{3}$',
  },
  AM: {
    14: '^EK\-[1-9][0-9]{4}$',
  },
  AW: {
    14: '^P4\-[A-Z]{3}$',
  },
  AU: {
    14: '^VH\-[A-Z]{3}$',
  },
  AT: {
    1: '^OE\-[A-K][A-Z]{2}$',
    2: '^OE\-[A-K][A-Z]{2}$',
    3: '^OE\-[A-K][A-Z]{2}$',
    4: '^OE\-[A-K][A-Z]{2}$',
    5: '^OE\-L[A-Z]{2}$',
    6: '^OE\-L[A-Z]{2}$',
    7: '^OE\-B[A-Z]{2}$',
    8: '^OE\-[0-5][0-9]{2}[1-9]$',
    9: '^OE\-9[0-9]{3}$',
    10: '^OE\-X[A-Z]{2}$',
    11: '^OE\-B[A-Z]{2}$',
    13: '^OE\-V[A-Z]{2}$',
  },
  AZ: {
    14: '^4K\-(AZ[1-9]{1,3}|[1-9][0-9]{4})$',
  },
  BS: {
    14: '^C6\-[A-Z]{3}$',
  },
  BH: {
    14: '^A9C\-[A-Z]{2,3}$',
  },
  BD: {
    14: '^S2\-[A-Z]{3}$',
  },
  BB: {
    14: '^8P\-[A-Z]{3}$',
  },
  BY: {
    1: '^EW\-$',
    2: '^EW\-$',
    3: '^EW\-$',
    4: '^EW\-[1-9][0-9]{2}[A-Z]{2}$',
    5: '^EW\-(1[0-9]{2}PJ|2[0-9]{2}PA)$',
    6: '^EW\-(1[0-9]{2}PJ|2[0-9]{2}PA)$',
    7: '^EW\-(001DA|001PA|001PB|85815)$',
    12: '^EW\-[0-9]{3}[1-9]L$',
  },
  BE: {
    1: '^OO\-[AC-PR-X][A-Z]{2}$',
    2: '^OO\-[AC-PR-X][A-Z]{2}$',
    3: '^OO\-[AC-PR-X][A-Z]{2}$',
    4: '^OO\-[AC-PR-X][A-Z]{2}$',
    5: '^OO\-[AC-PR-X][A-Z]{2}$',
    6: '^OO\-[AC-PR-X][A-Z]{2}$',
    8: '^OO\-[Y-Z][A-Z]{2}$',
    12: '^OO\-B[A-Z]{2}$',
    13: '^OO\-[0-4][1-9]{1,2}$',
  },
  BZ: {
    14: '^V3\-[A-Z]{3}$',
  },
  BJ: {
    14: '^TY\-[A-Z]{3}$',
  },
  BM: {
    14: '^V[PQ]\-B[A-Z]{2}$',
  },
  BT: {
    14: '^A5\-[A-Z]{3}$',
  },
  BO: {
    14: '^CP\-[1-9][0-9]{3}$',
  },
  BA: {
    14: '^E7\-[A-Z]{3}$',
  },
  BW: {
    14: '^A2\-[A-Z]{3}$',
  },
  BR: {
    1: '^(PP|PR|PS|PT)\-[A-Y]{3}$',
    2: '^(PP|PR|PS|PT)\-[A-Y]{3}$',
    3: '^(PP|PR|PS|PT)\-[A-Y]{3}$',
    4: '^(PP|PR|PS|PT)\-[A-Y]{3}$',
    5: '^(PP|PR|PS|PT)\-[A-Y]{3}$',
    6: '^(PP|PR|PS|PT)\-[A-Y]{3}$',
    13: '^PU\-[A-Z]{3}$',
  },
  BN: {
    14: '^V8\-([A-Z]{3}|[A-Z]{2}[1-9]|[0-9]{3})$',
  },
  BG: {
    14: '^LZ\-[A-Z]{3}$',
  },
  BF: {
    14: '^XT\-[A-Z]{3}$',
  },
  BI: {
    14: '^9U\-[A-Z]{3}$',
  },
  KH: {
    14: '^XU\-[A-Z]{3}$',
  },
  CM: {
    14: '^TJ\-[A-Z]{3}$',
  },
  CA: {
    9: '^C\-I[A-Z]{2}$',
    14: '^C\-G[A-Z]{2}$',
  },
  CV: {
    14: '^D4\-[A-Z]{3}$',
  },
  KY: {
    14: '^VP\-C[A-Z]{2}$',
  },
  CF: {
    14: '^TL\-[A-Z]{3}$',
  },
  TD: {
    14: '^TT\-[A-Z]{3}$',
  },
  CL: {
    14: '^CC\-[A-Z]{3}$',
  },
  CN: {
    14: '^B\-([0-9]{4}|[0-9]{3}[A-Z]|[0-9]{2}[A-Z][0-9]|[0-9]{2}[A-Z]{2})'
  },
  CO: {
    14: '^HK\-[1-9][0-9]{3}[A-Z]$',
  },
  KM: {
    14: '^D6\-[A-Z]{3}$',
  },
  CD: {
    11: '^9T\-[A-Z]{3}$',
    14: '^9S\-[A-Z]{3}$',
  },
  CK: {
    14: '^E5\-[A-Z]{3}$',
  },
  CR: {
    9: '^TI\-[0-9]{3}$',
    14: '^TI\-[A-Z]{3}$',
  },
  CI: {
    11: '^TU\-[A-UW-Z][A-Z]{2}$',
    14: '^TU\-V[A-Z]{2}$',
  },
  HR: {
    1: '^9A\-[A-FI-NP-TV-Z][A-Z]{2}$',
    2: '^9A\-[A-FI-NP-TV-Z][A-Z]{2}$',
    3: '^9A\-[A-FI-NP-TV-Z][A-Z]{2}$',
    4: '^9A\-[A-FI-NP-TV-Z][A-Z]{2}$',
    5: '^9A\-[A-FI-NP-TV-Z][A-Z]{2}$',
    6: '^9A\-[A-FI-NP-TV-Z][A-Z]{2}$',
    8: '^9A\-G[A-Z]{2}$',
    9: '^9A\-U[A-Z]{2}$',
    10: '^9A\-H[A-Z]{2}$',
    12: '^9A\-O[A-Z]{2}$',
  },
  CU: {
    1: '^CU\-N1[0-9]{3}$',
    2: '^CU\-N1[0-9]{3}$',
    3: '^CU\-N1[0-9]{3}$',
    4: '^CU\-N1[0-9]{3}$',
    5: '^CU\-[CT]1[0-9]{3}$',
    6: '^CU\-[CT]1[0-9]{3}$',
    9: '^CU\-U1[0-9]{3}$',
    10: '^CU\-H1[0-9]{3}$',
  },
  CY: {
    14: '^5B\-[A-Z]{3}$',
  },
  CZ: {
    1: '^OK\-[A-Z]{3}$',
    2: '^OK\-[A-Z]{3}$',
    3: '^OK\-[A-Z]{3}$',
    4: '^OK\-[A-Z]{3}$',
    5: '^OK\-[A-Z]{3}$',
    6: '^OK\-[A-Z]{3}$',
    8: '^OK\-[0-9]{4}$',
    9: '^OK\-A[0-9]{3}$',
    12: '^OK\-[0-9]{4}$',
  },
  DK: {
    1: '^OY\-[AC-GI-WYZ]{3}$',
    2: '^OY\-[AC-GI-WYZ]{3}$',
    3: '^OY\-[AC-GI-WYZ]{3}$',
    4: '^OY\-[AC-GI-WYZ]{3}$',
    5: '^OY\-[AC-GI-WYZ]{3}$',
    6: '^OY\-[AC-GI-WYZ]{3}$',
    8: '^OY\-(X[A-Z]{2}|[A-Z]X[A-Z]|[A-Z]{2}X)$',
    9: '^OY\-$[89][1-9]{1,3}$',
    10: '^OY\-H[A-Z]{2}$',
    12: '^OY\-B[A-Z]{2}$',
  },
  DJ: {
    14: '^J2\-[A-Z]{3}$',
  },
  DM: {
    14: '^HI\-[A-Z]{3}$',
  },
  DO: {
    14: '^J7\-([1-9][0-9]{2}[A-Z]{2}|[1-9][0-9]{2,3})$',
  },
  EC: {
    14: '^HC\-[A-Z]{3}$',
  },
  EG: {
    8: '^SU\-[0-9]{2}[1-9]$',
    12: '^SU\-[0-9]{2}[1-9]$',
    14: '^SU\-([A-X][A-X][A-Z]|Z[A-Z]{2})$',
  },
  SV: {
    14: '^YS\-[A-Z]{3}$',
  },
  GQ: {
    14: '^3C\-[A-Z]{3}$',
  },
  ER: {
    14: '^E3\-[A-Z]{3}$',
  },
  EE: {
    14: '^ES\-[A-Z]{3}$',
  },
  ET: {
    14: '^ET\-[A-Z]{3}$',
  },
  FK: {
    14: '^VP\-F[A-Z]{2}$',
  },
  FO: {
    1: '^OY\-[AC-GI-WYZ]{3}$',
    2: '^OY\-[AC-GI-WYZ]{3}$',
    3: '^OY\-[AC-GI-WYZ]{3}$',
    4: '^OY\-[AC-GI-WYZ]{3}$',
    5: '^OY\-[AC-GI-WYZ]{3}$',
    6: '^OY\-[AC-GI-WYZ]{3}$',
    8: '^OY\-(X[A-Z]{2}|[A-Z]X[A-Z]|[A-Z]{2}X)$',
    9: '^OY\-$[89][1-9]{1,3}$',
    10: '^OY\-H[A-Z]{2}$',
    12: '^OY\-B[A-Z]{2}$',
  },
  FJ: {
    14: '^DQ\-[A-Z]{3}$',
  },
  FI: {
    8: '^OH\-[0-9]{2}[0-9{1,2}$',
    9: '^OH\-U[0-9]{2}[1-9]$',
    14: '^OH\-[A-Z]{3}$',
  },
  FR: {
    1: '^F\-[ABE-IK-NQ-VXY]{4}$',
    2: '^F\-[ABE-IK-NQ-VXY]{4}$',
    3: '^F\-[ABE-IK-NQ-VXY]{4}$',
    4: '^F\-[ABE-IK-NQ-VXY]{4}$',
    5: '^F\-[ABE-IK-NQ-VXY]{4}$',
    6: '^F\-[ABE-IK-NQ-VXY]{4}$',
    7: '^F\-Z[A-Z]{3}$',
    8: '^F\-C[A-Z]{3}$',
    9: '^F\-J[A-Z]{3}$',
    10: '^F\-[ABE-IK-NQ-VXY]{4}$',
    11: '^F\-Z[A-Z]{3}$',
    13: '^F\-P[A-Z]{3}$',
  },
  GF: {
    14: '^F\-O[A-CEFI-LN-O][A-Z]{2}$',
  },
  GA: {
    11: '^TR\-K[A-Z]{2}$',
    14: '^TR\-[A-JL-Z][A-Z]{2}$',
  },
  GM: {
    14: '^C5\-[A-Z]{3}$',
  },
  GE: {
    14: '^4L\-([A-Z]{3}|[1-9][0-9]{4})$',
  },
  DE: {
    1: '^D\-[EF][A-Z]{3}$',
    2: '^D\-[GI][A-Z]{3}$',
    3: '^D\-[EF][A-Z]{3}$',
    4: '^D\-[GI][A-Z]{3}$',
    5: '^D\-[ABC][A-Z]{3}$',
    6: '^D\-[ABC][A-Z]{3}$',
    7: '^D\-[ABC][A-Z]{3}$',
    8: '^D\-[0-9]{4}$',
    9: '^D\-M[A-Z]{3}$',
    10: '^D\-H[A-Z]{3}$',
    12: '^D\-O[A-Z]{3}$',
  },
  GH: {
    14: '^9G\-[A-Z]{3}$',
  },
  GI: {
    14: '^VP\-G[A-Z]{2}$',
  },
  GR: {
    8: '^SX\-[1-9][0-9][1-9]$',
    9: '^SX\-U[A-Z]{2}$',
    10: '^SX\-H[A-Z]{2}$',
    14: '^SX\-[A-GI-TV-Z]{3}$',
  },
  GL: {
    1: '^OY\-[AC-GI-WYZ]{3}$',
    2: '^OY\-[AC-GI-WYZ]{3}$',
    3: '^OY\-[AC-GI-WYZ]{3}$',
    4: '^OY\-[AC-GI-WYZ]{3}$',
    5: '^OY\-[AC-GI-WYZ]{3}$',
    6: '^OY\-[AC-GI-WYZ]{3}$',
    8: '^OY\-(X[A-Z]{2}|[A-Z]X[A-Z]|[A-Z]{2}X)$',
    9: '^OY\-$[89][1-9]{1,3}$',
    10: '^OY\-H[A-Z]{2}$',
    12: '^OY\-B[A-Z]{2}$',
  },
  GD: {
    14: '^J3\-[A-Z]{3}$',
  },
  GT: {
    14: '^TG\-[A-Z]{3}$',
  },
  GG: {
    14: '^2\-[A-Z]{4}$',
  },
  GN: {
    14: '^3X\-[A-Z]{3}$',
  },
  GW: {
    14: '^J5\-[A-Z]{3}$',
  },
  GY: {
    14: '^8R\-[A-Z]{3}$',
  },
  HT: {
    14: '^HH\-[A-Z]{3}$',
  },
  HN: {
    14: '^HR\-[A-Z]{3}$',
  },
  HK: {
    14: '^(B\-H|B\-K|B\-L)[A-Z]{2}$',
  },
  HU: {
    8: '^HA\-[1-9]{4}$',
    9: '^HA\-[1-9]{4}$',
    14: '^HA\-[A-Z]{3}$',
  },
  IS: {
    14: '^TF\-[A-Z]{3}$',
  },
  IN: {
    14: '^\-$',
  },
  ID: {
    14: '^PK\-[A-Z]{3}$',
  },
  IM: {
    14: '^M\-[A-Z]{4}',
  },
  IR: {
    14: '^EP\-[A-Z]{3}$',
  },
  IQ: {
    14: '^YI\-[A-Z]{3}$',
  },
  IE: {
    7: '^EJ\-[A-Z]{4}$',
    14: '^EI\-[A-Z]{3}$',
  },
  IL: {
    14: '^4X\-[A-Z]{3}$',
  },
  IT: {
    8: '^I\-[0-9A-Z][0-9]{2}[1-9]$',
    9: '^I\-[0-9A-Z][0-9]{2}[1-9]$',
    14: '^I\-[A-Z]{4}$',
  },
  JM: {
    14: '^6Y\-[A-Z]{3}$',
  },
  JP: {
    9: '^JR\-([0-6][2-9A-Z][0-9A-Z][1-9A-Z]|7[0-9A-Z]{2}[1-9A-Z]|[89][0-9A-Z]{2}[1-9A-Z])$',
    12: '^JAA[0-9]{2}[1-0]$',
    13: '^JR0([0-1][1-9]{2}|200)$',
    14: '^JA\-([0-9]{3}[1-9]|[0-9]{2}[1-9][A-Z]|[0-9][1-9][A-Z]{2}|[A-Z]{4})$',
  },
  JE: {
    14: '^ZJ\-[A-Z]{3}$',
  },
  JO: {
    14: '^JY\-[A-Z]{3}$',
  },
  XK: {
    14: '^Z6\-[A-Z]{3}$',
  },
  KZ: {
    14: '^UP\-[A-Z]{3}[0-9][1-9]$',
  },
  KE: {
    14: '^5Y\-[A-Z]{3}$',
  },
  KI: {
    14: '^T3\-[A-Z]{3}$',
  },
  KP: {
    14: '^P\-[5-9][0-9]{2}$',
  },
  KR: {
    1: '^HL1[0-7][0-9]{2}$',
    2: '^HL20[0-9]{2}$',
    3: '^HL5[1-4][0-9]{2}$',
    4: '^HL5[1-4][0-9]{2}$',
    5: '^HL(7[257][0-9]{2}|8[023][0-9]{2})$',
    6: '^HL(7[46][0-9]{2}|8[46][0-9]{2})$',
    7: '^HL0[0-5][0-9]{2}$',
    8: '^HLC[0-9]{3}$',
    9: '^HL61[0-9]{2}$',
    11: '^HL0[67][0-9]{2}$',
  },
  KW: {
    14: '^9K\-[A-Z]{3}$',
  },
  KG: {
    14: '^EX\-[A-Z]{3}$',
  },
  LA: {
    14: '^RDPL\-[1-9][0-9]{4}$',
  },
  LV: {
    12: '^YL\-000$',
    14: '^YL\-[A-Z]{3}$',
  },
  LB: {
    14: '^OD\-[A-Z]{3}$',
  },
  LS: {
    14: '^7P\-[A-Z]{3}$',
  },
  LR: {
    14: '^A8\-[A-Z]{3}$',
  },
  LY: {
    14: '^5A\-[A-Z]{3}$',
  },
  LI: {
    14: '^HB\-[A-Z]{3}$',
  },
  LT: {
    14: '^LY\-[A-Z]{3}',
  },
  LU: {
    8: '^LX\-C[A-Z]{2}$',
    9: '^LX\-X[A-Z]{2}$',
    10: '^LX\-H[A-Z]{2}$',
    12: '^LX\-B[A-Z]{2}$',
    14: '^LX\-[AD-GI-WYZ][A-Z]{2}$',
  },
  MO: {
    14: '^B\-M[A-Z]{2}$',
  },
  MK: {
    9: '^Z3\-U[A-Z]{2}$',
    10: '^Z3\-H[A-Z]{2}$',
    12: '^Z3\-O[A-Z]{2}$',
    14: '^Z3\-[A-GI-NP-TV-Z]{3}$',
  },
  MG: {
    14: '^5R\-[A-Z]{3}$',
  },
  MW: {
    14: '^7Q\-[A-Z]{3}$',
  },
  MY: {
    13: '^9M\-E[A-Z]{2}$',
    14: '^9M\-[A-DF-Z]{3}$',
  },
  MV: {
    14: '^8Q\-[A-Z]{3}$',
  },
  ML: {
    14: '^TZ\-[A-Z]{3}$',
  },
  MT: {
    14: '^9H\-[A-Z]{3}$',
  },
  MH: {
    14: '^V7\-[A-Z]{3}$',
  },
  MQ: {
    14: '^F\-OM[A-Z]{2}$',
  },
  MR: {
    14: '^5T\-[A-Z]{3}$',
  },
  MU: {
    14: '^3B\-[A-Z]{3}$',
  },
  MX: {
    5: '^XA\-[A-Z]{3}$',
    6: '^XA\-[A-Z]{3}$',
    7: '^XC\-[A-Z]{3}$',
    14: '^XB\-[A-Z]{3}$',
  },
  FM: {
    14: '^V6\-[A-Z]{3}$',
  },
  MD: {
    14: '^ER\-([A-Z]{3}|[1-9][0-9]{4})$',
  },
  MC: {
    14: '^3A\-[A-Z]{3}$',
  },
  MN: {
    14: '^JU\-[1-9][0-9]{4}$',
  },
  ME: {
    14: '^4O\-[A-Z]{3}$',
  },
  MS: {
    14: '^VP\-M[A-Z]{2}$',
  },
  MA: {
    14: '^CN\-[A-Z]{3}$',
  },
  MZ: {
    14: '^C9\-[A-Z]{3}$',
  },
  MM: {
    14: '^XY\-[A-Z]{3}$',
  },
  NA: {
    14: '^V5\-[A-Z]{3}$',
  },
  NR: {
    14: '^C2\-[A-Z]{3}$',
  },
  NP: {
    7: '^9N\-R[A-Z]{2}$',
    14: '^9N\-[A-QS-Z]{3}$',
  },
  NL: {
    8: '^PH\-[1-9][0-9]{2,3}$',
    9: '^PH\-[1-9][A-Z][1-9]$',
    14: '^PH\-[A-Z]{3}$',
  },
  NZ: {
    14: '^\-$',
  },
  NI: {
    14: '^YN\-[A-Z]{3}$',
  },
  NE: {
    14: '^5U\-[A-Z]{3}$',
  },
  NG: {
    14: '^5N\-[A-Z]{3}$',
  },
  NO: {
    8: '^LN\-G[A-Z]{2}$',
    9: '^\-C[A-Z]{2}$',
    10: '^\-O[A-Z]{2}$',
    14: '^\-[ABD-FH-NP-Z]{3}$',
  },
  OM: {
    14: '^A4O\-[A-Z]{2,3}$',
  },
  PK: {
    14: '^AP\-[A-Z]{3}$',
  },
  PS: {
    14: '^E4\-[A-Z]{3}$',
  },
  PA: {
    14: '^HP\-[1-9][0-9]{3}[A-Z]{3}$',
  },
  PG: {
    14: '^P2\-[A-Z]{3}$',
  },
  PY: {
    14: '^ZP\-[A-Z]{3}$',
  },
  PE: {
    14: '^OB\-[1-9][0-9]{3}$',
  },
  PH: {
    7: '^RP\-[0-9]{3][1-9]$',
    8: '^RP\-G[0-9]{3][1-9]$',
    13: '^RP\-X[0-9]{3][1-9]$',
    14: '^RP\-C[0-9]{3}[1-9]$',
  },
  PL: {
    7: '^SN\-[0-9]{2}(A|L|M)$',
    8: '^SP\-([1-3]|8)[A-Z]{3}$',
    9: '^SP\-S[A-Z]{3}$',
    12: '^SP\-B[A-Z]{2}$',
    13: '^SP\-Y[A-Z]{3}$',
    14: '^SP\-[AC-RT-XZ][A-Z]{2}$',
  },
  PT: {
    5: '^CS\-T[A-Z]{2}$',
    6: '^CS\-T[A-Z]{2}$',
    8: '^CS\-P[A-Z]{2}$',
    9: '^CS\-U[A-Z]{2}$',
    10: '^CS\-H[A-Z]{2}$',
    12: '^CS\-B[A-Z]{2}$',
    13: '^CS\-X[A-Z]{2}$',
    14: '^CS\-[ACD-GI-OQ-SV-WYZ][A-Z]{2}$',
  },
  QA: {
    5: '^A7\-(A|B)[A-Z]{2}$',
    6: '^A7\-(A|B)[A-Z]{2}$',
    7: '^A7\-(H|M)[A-Z]{2}$',
    14: '^A7\-[C-GI-LN-Z][A-Z]{2}$',
  },
  RE: {
    14: '^F\-OD[A-Z]{2}$',
  },
  RO: {
    8: '^YR\-[1-9][0-9]{3}$',
    14: '^YR\-[A-Z]{3}$',
  },
  RU: {
    7: '^RF\-[0-9]{4}[1-9]$',
    9: '^RA\-[0-9]{3}[1-9]A$',
    14: '^RA\-[0-9]{4}[1-9]$',
  },
  RW: {
    14: '^9XR\-[A-Z]{2}$',
  },
  SH: {
    14: '^VQ\-H[A-Z]{2}$',
  },
  KN: {
    14: '^V4\-[A-Z]{3}$',
  },
  LC: {
    14: '^J6\-[A-Z]{3}$',
  },
  VC: {
    14: '^J8\-[A-Z]{3}$',
  },
  WS: {
    14: '^5W\-[A-Z]{3}$',
  },
  SM: {
    14: '^T7\-[A-Z]{3}$',
  },
  ST: {
    14: '^S9\-[A-Z]{3}$',
  },
  SA: {
    14: '^HZ\-([A-Z]{3}|[A-Z]{2}[1-9]{1,2}|[A-Z]{3}[1-9]{1,2})$',
  },
  SN: {
    14: '^6V\-[A-Z]{3}$',
  },
  RS: {
    8: '^YU\-[0-9]{4}$',
    9: '^YU\-[A-Z][0-9]{3}$',
    14: '^YU\-[A-Z]{3}$',
  },
  SC: {
    14: '^S7\-[A-Z]{3}$',
  },
  SL: {
    14: '^9L\-[A-Z]{3}$',
  },
  SG: {
    14: '^9V\-[A-Z]{3}$',
  },
  SK: {
    8: '^OM\-[0-9]{4}$',
    9: '^OM\-[A-Z]{4}$',
    14: '^OM\-[A-Z]{3}$',
  },
  SI: {
    8: '^S5\-3[0-9]{3}$',
    9: '^S5\-P[A-Z]{2}$',
    10: '^S5\-H[A-Z]{2}$',
    12: '^S5\-O[A-Z]{2}$',
    13: '^S5\-M[A-Z]{2}$',
    14: '^S5\-D[A-Z]{2}$',
  },
  SB: {
    14: '^H4\-[A-Z]{3}$',
  },
  SO: {
    14: '^6O\-[A-Z]{3}$',
  },
  ZA: {
    10: '^ZT\-[A-Z]{3}$',
    13: '^ZU\-[A-Z]{3}$',
    14: '^ZS\-[A-Z]{3}$',
  },
  SS: {
    14: '^Z8\-[A-Z]{3}$',
  },
  ES: {
    9: '^EC\-[A-Z]{2}[0-9]$',
    11: '^EM\-[A-Z]{3}$',
    13: '^EC\-[Y-Z][A-Z]{2}$',
    14: '^EC\-[A-W][A-Z]{2}$',
  },
  LK: {
    14: '^4R\-[A-Z]{3}$'
  },
  SD: {
    14: '^ST\-[A-Z]{3}$'
  },
  SR: {
    5: '^PZ\-T[A-Z]{2}$',
    6: '^PZ\-T[A-Z]{2}$',
    10: '^PZ\-H[A-Z]{2}$',
    14: '^PZ\-[A-GI-SV-Z][A-Z]{2}$',
  },
  SZ: {
    14: '^3DC\-[A-Z]{3}$',
  },
  SE: {
    1: '^SE\-[A-C][A-Z]{2}$',
    2: '^SE\-[E-G][A-Z]{2}$',
    3: '^SE\-I[A-Z]{2}$',
    4: '^SE\-[K-M][A-Z]{2}$',
    5: '^SE\-D[A-Z]{2}$',
    6: '^SE\-R[A-Z]{2}$',
    8: '^SE\-[S-U][A-Z]{2}$',
    9: '^SE\-[VY][A-Z]{2}$',
    10: '^SE\-[HJ][A-Z]{2}$',
    12: '^SE\-Z[A-Z]{2}$',
    13: '^SE\-X[A-Z]{2}$',
  },
  CH: {
    1: '^HB\-[BCN][A-Z]{2}$',
    2: '^HB\-[AV][A-Z]{2}$',
    3: '^HB\-[BCFN][A-Z]{2}$',
    4: '^HB\-[AV][A-Z]{2}$',
    5: '^HB\-[I-J][A-Z]{2}$',
    6: '^HB\-[I-J][A-Z]{2}$',
    8: '^HB\-[1-9]{1,4}$',
    9: '^HB\-[1-9]{1,4}$',
    10: '^HB\-[XZ][A-Z]{2}$',
    12: '^HB\-B[A-Z]{2}$',
    13: '^HB\-Y[A-Z]{2}$',
    14: '^HB\-[A-Z]{3}$',
  },
  SY: {
    14: '^YK\-[A-Z]{3}$'
  },
  PF: {
    14: '^F\-OH[A-Z]{2}$',
  },
  TW: {
    14: '^B\-[0-9]{5}$',
  },
  TJ: {
    14: '^EY\-[1-9][0-9]{4}$'
  },
  TZ: {
    14: '^5H\-[A-Z]{3}$',
  },
  TH: {
    14: '^HS\-[A-Z]{3}$'
  },
  TL: {
    14: '^4W\-[A-Z]{3}$',
  },
  TG: {
    14: '^5V\-[A-Z]{3}$'
  },
  TO: {
    14: '^A3\-[A-Z]{3}$'
  },
  TT: {
    14: '^9Y\-[A-Z]{3}$'
  },
  TN: {
    14: '^TS\-[A-Z]{3}$'
  },
  TR: {
    8: '^TC\-P[A-Z]{2}$',
    9: '^TC\-U[A-Z]{2}$',
    10: '^TC\-H[A-Z]{2}$',
    12: '^TC\-B[A-Z]{2}$',
    14: '^TC\-[AC-GI-OQ-TV-Z][A-Z]{2}$',
  },
  TM: {
    14: '^EZ\-[A-Z][1-9][0-9]{2}$',
  },
  TC: {
    14: '^VQ\-T[A-Z]{2}$',
  },
  TV: {
    14: '^T2\-[A-Z]{3}$',
  },
  UG: {
    14: '^5X\-[A-Z]{3}$',
  },
  UA: {
    14: '^UR\-([A-Z]{3,4}$|[1-9][0-9]{4}$)',
  },
  AE: {
    14: '^A6\-[A-Z]{3}$'
  },
  GB: {
    14: '^G\-[A-Z]{4}$',
  },
  UN: {
    14: '^4U\-[A-Z]{3}$'
  },
  US: {
    14: '^N([0-9]{3,5}|[0-9]{2,4}[A-Z]{1}|[0-9]{1,3}[A-Z]{2})$',
  },
  UY: {
    14: '^CX\-[A-Z]{3}$',
  },
  UZ: {
    14: '^UK[1-9][0-9]{4]$',
  },
  VU: {
    14: '^YJ\-[A-Z]{2}[1-9]{1,2}$',
  },
  VE: {
    7: '^YVO[1-9][0-9]{2}$',
    14: '^YV[1-9][0-9]{3}',
  },
  VN: {
    1: '^VN\-C[1-9][0-9]{3}$',
    2: '^VN\-C[1-9][0-9]{3}$',
    3: '^VN\-B[1-9][0-9]{3}$',
    4: '^VN\-B[1-9][0-9]{3}$',
    5: '^VN\-A[1-9][0-9]{3}$',
    6: '^VN\-A[1-9][0-9]{3}$',
    14: '^VN\-[1-9][0-9]{4}$',
  },
  VG: {
    14: '^VP\-L[A-Z]{2}$',
  },
  YE: {
    14: '^7O\-[A-Z]{3}$',
  },
  ZM: {
    14: '^9J\-[§A-Z]{3}$',
  },
  ZW: {
    14: '^Z\-[A-Z]{3}$',
  },
}
